Creates a custom "from" send-as alias. If an SMTP MSA is specified, Gmail will attempt to connect to the SMTP service to validate the configuration before creating the alias. If ownership verification is required for the alias, a message will be sent to the email address and the resource's verification status will be set to pending; otherwise, the resource will be created with verification status set to accepted. If a signature is provided, Gmail will sanitize the HTML before saving it with the alias. For more information, see Manage aliases and signatures with the Gmail API.
This method is only available to service account clients that have been delegated domain-wide authority.
HTTP request
POST https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/sendAs
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
userId |
User's email address. The special value "me" can be used to indicate the authenticated user. |
Request body
The request body contains an instance of SendAs.
Response body
If successful, the response body contains a newly created instance of SendAs.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/gmail.settings.sharing
For more information, see the Authorization guide.